# $Revision: 1.45 $, $Date: 2011/11/28 09:08:49 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	DBIx
%define		pnam	SearchBuilder
Summary:	DBIx::SearchBuilder - easy SQL SELECT Statement generation
Summary(pl.UTF-8):	DBIx::SearchBuilder - łatwe generowanie polecenia SQL SELECT
Name:		perl-DBIx-SearchBuilder
Version:	1.61
Release:	1
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/DBIx/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	86dbaa96c8c52ad9ac8f6daf52960dd7
URL:		http://search.cpan.org/dist/DBIx-SearchBuilder/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl(Cache::Simple::TimedExpiry) >= 0.21
BuildRequires:	perl(Class::ReturnValue) >= 0.4
BuildRequires:	perl(DBIx::DBSchema)
BuildRequires:	perl(Want)
BuildRequires:	perl-Clone
BuildRequires:	perl-DBD-SQLite
BuildRequires:	perl-DBI
BuildRequires:	perl-ExtUtils-MakeMaker >= 6.42
BuildRequires:	perl-capitalization >= 0.03
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq	'perl(DBD::Oracle)'

%description
DBIx::SearchBuilder -- easy SQL SELECT Statement generation.

%description -l pl.UTF-8
DBIx::SearchBuilder -- łatwe generowanie polecenia SQL SELECT.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/DBIx/*.pm
%{perl_vendorlib}/DBIx/SearchBuilder
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-DBIx-SearchBuilder.spec,v $
Revision 1.45  2011/11/28 09:08:49  arekm
- up to 1.61

Revision 1.44  2011/05/11 02:03:58  aredridel
- 1.59

Revision 1.43  2009/09/10 07:20:15  amateja
- updated to 1.56
- added BR: perl(DBIx::DBSchema) and perl-capitalization >= 0.03

Revision 1.42  2009/06/18 09:57:27  amateja
- updated to 1.55

Revision 1.41  2008/08/08 21:02:13  arekm
- up to 1.54

Revision 1.40  2008-04-02 09:15:39  arekm
- up to 1.53

Revision 1.39  2007-12-24 13:27:37  qboosh
- generic URL

Revision 1.38  2007-12-24 00:04:28  zbyniu
- up to 1.50

Revision 1.37  2007-09-11 07:22:38  arekm
- up to 1.49

Revision 1.36  2007/02/13 07:16:54  glen
- tabs in preamble

Revision 1.35  2007/02/12 00:49:28  baggins
- converted to UTF-8

Revision 1.34  2006/10/17 08:22:40  arekm
- up to 1.45

Revision 1.33  2006/06/06 10:42:14  qboosh
- sorted BRs

Revision 1.32  2006/06/06 10:27:08  arekm
- up to 1.43

Revision 1.31  2005/06/08 11:56:42  baseciq
- updated to 1.26

Revision 1.30  2005/01/10 11:02:03  adamg
- updated to 1.19

Revision 1.29  2005/01/09 15:35:46  adamg
- noautoreq for perl(DBD::Oracle); release 2

Revision 1.28  2005/01/09 14:46:41  adamg
- updated to 1.18

Revision 1.27  2005/01/03 19:30:48  adamg
- updated to 1.16
- tests BR: perl-DBD-SQLite, perl-Test-Pod, perl-Want

Revision 1.26  2004/12/01 16:39:57  radek
- version 1.15, BR: perl-Cache-Simple-TimedExpiry

Revision 1.25  2004/11/03 22:30:16  paladine
- formatting

Revision 1.24  2004/08/08 17:54:56  adamg
- updated to 1.01

Revision 1.23  2004/06/05 20:26:52  radek
- massive: unfold macros in name/summary & other unifications

Revision 1.22  2004/05/06 18:09:28  ankry
- fixed perl-devel BR

Revision 1.21  2004/04/20 05:50:56  ankry
- license fixes and unification

Revision 1.20  2004/04/14 14:37:49  ankry
- cosmetics

Revision 1.19  2004/04/09 18:17:54  adamg
- updated to 0.99

Revision 1.18  2004/02/15 20:18:14  adamg
- updated to 0.97

Revision 1.17  2004/01/24 22:16:39  arekm
- autoupdated to 0.96

Revision 1.16  2003/12/25 14:04:56  migo
- up to 0.94, new style bcond
- fixed BR

Revision 1.15  2003/09/15 09:42:05  adamg
- updated to 0.92

Revision 1.14  2003/09/09 10:24:32  ankry
- spaces -> tab

Revision 1.13  2003/08/18 08:08:39  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.12  2003/05/28 13:00:32  malekith
- massive attack: source-md5

Revision 1.11  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.10  2003/04/11 18:59:22  radek
- BR: perl-devel; do not BR: perl

Revision 1.9  2003/03/13 00:02:13  ankry
- merge from RA-branch: updated to 0.80

Revision 1.8  2003/03/01 18:05:14  radek
- should be ready for perl-5.8.0; release++

Revision 1.7  2003/02/25 00:38:32  radek
- use the __perl macro

Revision 1.6  2003/02/18 15:30:57  ankry
- massive attack: change CPAN URLs

Revision 1.5  2003/02/05 16:18:02  ankry
- autoupdated to 0.79

Revision 1.4  2003/01/07 16:17:49  tjbynum
- missing.

Revision 1.3  2003/01/07 14:02:57  mis
- autoupdated to 0.76

Revision 1.2  2002/11/21 16:46:46  mis
- autoupdated to 0.73

Revision 1.1  2002/08/03 13:12:16  radek
- new, stbr
